Bump buidlroot version to 2018.02.6

This commit is contained in:
jbnadal
2018-10-22 14:55:59 +02:00
parent 222960cedb
commit bec94fdb63
6150 changed files with 84803 additions and 117446 deletions

View File

@@ -0,0 +1,22 @@
config BR2_PACKAGE_BOINC
bool "boinc"
depends on BR2_USE_MMU # fork()
depends on !BR2_STATIC_LIBS # dlfcn.h
depends on BR2_TOOLCHAIN_HAS_THREADS
depends on BR2_INSTALL_LIBSTDCPP
select BR2_PACKAGE_LIBCURL
select BR2_PACKAGE_OPENSSL
help
Open-source software for volunteer computing and grid
computing.
Use the idle time on your computer to cure diseases, study
global warming, discover pulsars, and do many other types of
scientific research.
https://boinc.berkeley.edu
comment "boinc needs a toolchain w/ dynamic library, C++, threads"
depends on BR2_USE_MMU
depends on BR2_STATIC_LIBS || !BR2_INSTALL_LIBSTDCPP \
|| !BR2_TOOLCHAIN_HAS_THREADS

View File

@@ -0,0 +1,37 @@
#!/bin/sh
NAME=boinc_client
PIDFILE=/var/run/$NAME.pid
DAEMON=/usr/bin/$NAME
start() {
printf "Starting $NAME: "
start-stop-daemon -S -q -m -b -p $PIDFILE --exec $DAEMON
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Stopping $NAME: "
start-stop-daemon -K -q -p $PIDFILE
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
*)
echo "Usage: $0 {start|stop|restart|reload}"
exit 1
esac
exit $?

View File

@@ -0,0 +1,10 @@
[Unit]
Description=BOINC client
After=network.target
[Service]
ExecStart=/usr/bin/boinc_client
Restart=always
[Install]
WantedBy=multi-user.target

View File

@@ -0,0 +1,4 @@
# Locally computed:
sha256 ed5f3dcdc8d1cc5277529afb701377e77d1ff89711368a7456553bf249940bad boinc-7.8.6.tar.gz
sha256 8ceb4b9ee5adedde47b31e975c1d90c73ad27b6b165a1dcd80c7c545eb65b903 COPYING
sha256 a853c2ffec17057872340eee242ae4d96cbf2b520ae27d903e1b2fef1a5f9d1c COPYING.LESSER

View File

@@ -0,0 +1,60 @@
################################################################################
#
# boinc
#
################################################################################
BOINC_VERSION_MAJOR = 7.8
BOINC_VERSION = $(BOINC_VERSION_MAJOR).6
# client_release can be used to build the Client and Manager but not the Server
# part. The Server currently has no versioning (see
# https://github.com/BOINC/boinc/pull/1798).
BOINC_SITE = \
$(call github,BOINC,boinc,client_release/$(BOINC_VERSION_MAJOR)/$(BOINC_VERSION))
BOINC_LICENSE = LGPL-3.0+
BOINC_LICENSE_FILES = COPYING COPYING.LESSER
BOINC_DEPENDENCIES = host-pkgconf libcurl openssl
BOINC_AUTORECONF = YES
BOINC_CONF_OPTS = \
--disable-apps \
--disable-boinczip \
--disable-manager \
--disable-server \
--enable-client \
--enable-dynamic-client-linkage \
--enable-libraries \
--with-pkg-config=$(PKG_CONFIG_HOST_BINARY) \
--with-libcurl=$(STAGING_DIR)/usr
ifeq ($(BR2_PACKAGE_FREETYPE),y)
BOINC_DEPENDENCIES += freetype
endif
ifeq ($(BR2_PACKAGE_LIBFCGI),y)
BOINC_DEPENDENCIES += libfcgi
BOINC_CONF_OPTS += --enable-fcgi
else
BOINC_CONF_OPTS += --disable-fcgi
endif
# Remove boinc-client because it is incompatible with buildroot
define BOINC_REMOVE_UNNEEDED_FILE
$(RM) $(TARGET_DIR)/etc/init.d/boinc-client
endef
BOINC_POST_INSTALL_TARGET_HOOKS += BOINC_REMOVE_UNNEEDED_FILE
define BOINC_INSTALL_INIT_SYSV
$(INSTALL) -D -m 0755 package/boinc/S99boinc-client \
$(TARGET_DIR)/etc/init.d/S99boinc-client
endef
define BOINC_INSTALL_INIT_SYSTEMD
$(INSTALL) -D -m 644 package/boinc/boinc-client.service \
$(TARGET_DIR)/usr/lib/systemd/system/boinc-client.service
mkdir -p $(TARGET_DIR)/etc/systemd/system/multi-user.target.wants
ln -sf ../../../../usr/lib/systemd/system/boinc-client.service \
$(TARGET_DIR)/etc/systemd/system/multi-user.target.wants/boinc-client.service
endef
$(eval $(autotools-package))